%define name    pcsx-df
%define version 1.818
%define release b1

%define _bindir /opt/game/pcsx
%define _libdir /opt/game/pcsx/plugins

Name:		%{name}
Summary:	Emulator for the Sony PlayStation
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
URL:		http://aboenterprises.ca/pcsx-df/
Group:		Emulators
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPL
Conflicts:	pcsx

BuildArchitectures: i586

%description
PCSX-df is a fork of the PCSX Playstation emulator designed specifically
for GNU/Linux (and probably other similar systems). It has a completely
reworked and modernized GTK2/Glade GUI, a sensible plugin scanning system,
a functioning gettext implementation, a modern autotooling for easy
compiling and installation, GCC4 compatibility, and support for a ~/.pcsx
directory for configuration data, among other improvements.

%prep
%setup -q

%build
%configure --prefix=/opt/game/pcsx
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall bindir=$RPM_BUILD_ROOT/opt/game/pcsx libdir=$RPM_BUILD_ROOT/opt/game/pcsx/plugins
#make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/opt/game/pcsx/cfg* $RPM_BUILD_ROOT/opt/game/pcsx/plugins

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=PCSX-df
Comment=Sony PlayStation Emulator
Exec=LD_LIBRARY_PATH=%{_libdir} %{_bindir}/pcsx
Icon=pcsx-icon.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;Game;Emulator;X-Red-Hat-Base;
StartupNotify=true
Encoding=UTF-8
EOF

#mkdir -p $RPM_BUILD_ROOT/%{_miconsdir} \
#	 $RPM_BUILD_ROOT/%{_liconsdir}

#install -m 644 $RPM_BUILD_ROOT/%{_datadir}/pixmaps/pcsx-icon.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
#convert -size 16x16 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
#convert -size 48x48 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
#%files -f %{name}.lang
#%exclude %{_datadir}/locale/*.gmo
%defattr(-,root,root)
%{_datadir}/pcsx/*
%{_datadir}/psemu/*
%{_datadir}/pixmaps/pcsx-icon.png
%{_datadir}/applications/%{name}.desktop
#%{_mandir}/man1/pcsx.*
#%{_menudir}/pcsx-df
#%{_iconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
%{_bindir}/pcsx
#%{_bindir}/cfgDFCdrom
#%{_bindir}/cfgDFInput
#%{_bindir}/cfgDFIso
#%{_bindir}/cfgDFSound
#%{_bindir}/cfgDFXVideo
%{_libdir}/cfg*
%{_libdir}/libDFCdrom.so*
%{_libdir}/libDFInput.so*
%{_libdir}/libDFIso.so*
%{_libdir}/libDFSound.so*
%{_libdir}/libDFXVideo.so*
%{_libdir}/libpcsxcore.so*


%changelog
* Tue Jun 24 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
